VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Cluster::Summary Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Cluster::Summary:

## Avaliable Methods
public method | set_drs_enabled ()
public method | set_name ()
public method | set_ha_enabled ()
public method | set_cluster ()
public method | get_ha_enabled ()
public method | get_drs_enabled ()
public method | new ()
public method | get_cluster ()
public method | get_name ()

## Detailed Description

The `Com::Vmware::Vcenter::Cluster::Summary` class contains commonly used information about a cluster in vCenter Server.

## Member Function Documentation

public method Com::Vmware::Vcenter::Cluster::Summary::get_cluster | ( |  | ) |

Gets the value of 'cluster' property.

Return values

  cluster | - The current value of the field. Identifier of the cluster. ID#

Code:
click to view
# Number of lines of code in get_cluster: 4
sub get_cluster {
my ($self, %args) = @_;
return $self->{'cluster'};
}

public method Com::Vmware::Vcenter::Cluster::Summary::get_drs_enabled | ( |  | ) |

Gets the value of 'drs_enabled' property.

Return values

  drs_enabled | - The current value of the field. Flag indicating whether the vSphere DRS service is enabled for the cluster. boolean#

Code:
click to view
# Number of lines of code in get_drs_enabled: 4
sub get_drs_enabled {
my ($self, %args) = @_;
return $self->{'drs_enabled'};
}

public method Com::Vmware::Vcenter::Cluster::Summary::get_ha_enabled | ( |  | ) |

Gets the value of 'ha_enabled' property.

Return values

  ha_enabled | - The current value of the field. Flag indicating whether the vSphere HA feature is enabled for the cluster. boolean#

Code:
click to view
# Number of lines of code in get_ha_enabled: 4
sub get_ha_enabled {
my ($self, %args) = @_;
return $self->{'ha_enabled'};
}

public method Com::Vmware::Vcenter::Cluster::Summary::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. Name of the cluster. String#

Code:
click to view
# Number of lines of code in get_name: 4
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Vcenter::Cluster::Summary::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Cluster::Summary structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 22
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{cluster} = $args{'cluster'};
$self->{name} = $args{'name'};
$self->{ha_enabled} = $args{'ha_enabled'};
$self->{drs_enabled} = $args{'drs_enabled'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Cluster::Summary');
$self->set_binding_name('name' => 'com.vmware.vcenter.cluster.summary');
$self->set_binding_field('key' => 'cluster', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'ha_enabled', 'value' => new Com::Vmware::Vapi::Bindings::Type::BooleanType());
$self->set_binding_field('key' => 'drs_enabled', 'value' => new Com::Vmware::Vapi::Bindings::Type::BooleanType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Cluster::Summary::set_cluster | ( |  | ) |

Sets the given value for 'cluster' property.

Parameters

  cluster | - New value for the field. Identifier of the cluster.

Code:
click to view
# Number of lines of code in set_cluster: 5
sub set_cluster {
my ($self, %args) = @_;
$self->{'cluster'} = $args{'cluster'};
return;
}

public method Com::Vmware::Vcenter::Cluster::Summary::set_drs_enabled | ( |  | ) |

Sets the given value for 'drs_enabled' property.

Parameters

  drs_enabled | - New value for the field. Flag indicating whether the vSphere DRS service is enabled for the cluster.

Code:
click to view
# Number of lines of code in set_drs_enabled: 5
sub set_drs_enabled {
my ($self, %args) = @_;
$self->{'drs_enabled'} = $args{'drs_enabled'};
return;
}

public method Com::Vmware::Vcenter::Cluster::Summary::set_ha_enabled | ( |  | ) |

Sets the given value for 'ha_enabled' property.

Parameters

  ha_enabled | - New value for the field. Flag indicating whether the vSphere HA feature is enabled for the cluster.

Code:
click to view
# Number of lines of code in set_ha_enabled: 5
sub set_ha_enabled {
my ($self, %args) = @_;
$self->{'ha_enabled'} = $args{'ha_enabled'};
return;
}

public method Com::Vmware::Vcenter::Cluster::Summary::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. Name of the cluster.

Code:
click to view
# Number of lines of code in set_name: 5
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Cluster.pm